import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { OrganisationseinheitNavigationItemComponent } from '../organisationseinheit/organisationseinheit-navigation-item/organisationseinheit-navigation-item.component';
import { PostfachNavigationItemComponent } from '../postfach/postfach-navigation-item/postfach-navigation-item.component';
import { NavigationComponent } from './navigation.component';

describe('NavigationComponent', () => {
  let component: NavigationComponent;
  let fixture: ComponentFixture<NavigationComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        NavigationComponent,
        MockComponent(PostfachNavigationItemComponent),
        MockComponent(OrganisationseinheitNavigationItemComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(NavigationComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
