package de.ozgcloud.alfa.hint;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(HintController.PATH)
public class HintController {

	static final String PATH = "/api/hints"; // NOSONAR

	@Autowired
	private HintService service;
	@Autowired
	private HintModelAssembler modelAssembler;

	@GetMapping
	public CollectionModel<EntityModel<Hint>> getAll() {
		return modelAssembler.toCollectionModel(service.findHints());
	}
}
