package de.ozgcloud.alfa.postfach;

import de.ozgcloud.nachrichten.postfach.GrpcGetPostfachConfigResponse;

public class GrpcGetPostfachConfigResponseTestFactory {

	public static final boolean CONFIGURED = true;

	public static GrpcGetPostfachConfigResponse create() {
		return createBuilder().build();
	}

	public static GrpcGetPostfachConfigResponse.Builder createBuilder() {
		return GrpcGetPostfachConfigResponse.newBuilder()
				.setConfigured(CONFIGURED)
				.addPostfach(GrpcPostfachTestFactory.create());
	}
}
