package de.ozgcloud.alfa.postfach;

import java.util.List;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.common.file.OzgFileTestFactory;
import de.ozgcloud.alfa.vorgang.ZustaendigeStelleTestFactory;

public class PostfachMailExportInputTestFactory {

	public final static PostfachMail POSTFACH_MAIL = PostfachMailTestFactory.create();
	public final static String ORGANISATIONSEINHEITEN_ID = ZustaendigeStelleTestFactory.ORGANISATIONSEINHEITEN_ID;
	public final static List<OzgFile> ATTACHMENTS = List.of(OzgFileTestFactory.create());

	public static PostfachMailExportInput create() {
		return new PostfachMailExportInput(POSTFACH_MAIL, ORGANISATIONSEINHEITEN_ID, ATTACHMENTS);
	}

}
