import { getMessageForInvalidParam, InvalidParam } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { FormControlEditorAbstractComponent } from '@ods/component';

@Component({
  selector: 'text-field',
  templateUrl: './text-field.component.html',
})
export class TextFieldComponent extends FormControlEditorAbstractComponent {
  @Input()
  label: string;

  public getErrorMessage(invalidParam: InvalidParam): string {
    return getMessageForInvalidParam(this.label, invalidParam);
  }
}
