import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { PopupListItemComponent } from './popup-list-item.component';

const meta: Meta<PopupListItemComponent> = {
  title: 'Popup/Popup list item',
  component: PopupListItemComponent,
  decorators: [
    moduleMetadata({
      imports: [PopupListItemComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<PopupListItemComponent>;

export const Default: Story = {
  args: {
    caption: 'List item',
  },
};
