import { ObservableWithSubscriptions, cold, hot } from 'jest-marbles';

export function singleHot(object: any, frame: string = 'a'): ObservableWithSubscriptions {
  return hot(frame, { a: object });
}

export function singleCold(object: any, frame: string = 'a'): ObservableWithSubscriptions {
  return cold(frame, { a: object });
}

export function singleColdCompleted(object: any, frame: string = 'a'): ObservableWithSubscriptions {
  return cold(`(${frame}|)`, { a: object });
}
