import { OzgcloudDialogService } from '@alfa-client/ui';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, Input } from '@angular/core';
import { VorgangDetailBescheidenUeberspringenDialogComponent } from '../vorgang-detail-bescheiden-ueberspringen-dialog/vorgang-detail-bescheiden-ueberspringen-dialog.component';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-ueberspringen-button',
  templateUrl: './vorgang-detail-bescheiden-ueberspringen-button.component.html',
  styles: [':host {@apply flex flex-1 items-end}'],
})
export class VorgangDetailBescheidenUeberspringenButtonComponent {
  @Input() vorgang: VorgangWithEingangResource;

  constructor(private readonly ozgcloudDialogService: OzgcloudDialogService) {}

  public onClick(): void {
    this.ozgcloudDialogService.open<VorgangDetailBescheidenUeberspringenDialogComponent>(
      VorgangDetailBescheidenUeberspringenDialogComponent,
    );
  }
}
