package de.ozgcloud.alfa.collaboration;

import java.util.stream.Stream;

import org.springframework.stereotype.Service;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
class OrganisationsEinheitService {

	private final OrganisationsEinheitRemoteService remoteService;

	public OrganisationsEinheit getById(String id) {
		return remoteService.getById(id);
	}

	public Stream<OrganisationsEinheitHeader> searchOrganisationsEinheiten(String searchBy) {
		return remoteService.search(searchBy);
	}

}
