package de.ozgcloud.alfa.vorgang;

import org.springframework.stereotype.Component;

import de.xoev.xdomea.AnwendungsspezifischeErweiterungXMLType;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Component
public class AnwendungsspezifischeErweiterungXMLTypeCreator {

	private final FormDataMapper formDataMapper;

	public AnwendungsspezifischeErweiterungXMLType create(VorgangWithEingang vorgang) {
		var erweiterungXmlType = new AnwendungsspezifischeErweiterungXMLType();
		erweiterungXmlType.getAny().add(formDataMapper.toAntragsdaten(vorgang));
		return erweiterungXmlType;
	}
}
